View Issue Details

IDProjectCategoryView StatusLast Update
0001879Far ManagerPlugins API.Editorpublic2015-12-07 16:34
ReporterMaximusAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001879: Фар игнорирует заданное плагином отсутствие EOL
DescriptionПлагин сказал "EOL не нужен". Зачем фар пишет дефолтный после каждой строки?
TagsNo tags attached.
Build2660

Relationships

related to 0002183 closedshmuel Не возможно макросом вставить конц строки. 
related to 0003129 closedshmuel Несколько строк склеивается в одну 

Activities

Maximus

2011-09-14 18:35

reporter  

Eol.diff (506 bytes)
Eol.diff (506 bytes)

Maximus

2011-09-26 10:43

reporter  

EOL.110925.diff (3,307 bytes)
EOL.110925.diff (3,307 bytes)

Maximus

2011-09-26 10:44

reporter   bugnote:0007740

Довесок. Исправления перевода и удаления строк.

Maximus

2012-04-16 23:12

reporter   bugnote:0008913

Ээээ, хотелось бы знать, фартим принципиально не хочет добавлять данный патч в транк, или он потерялся?
Если просто потерялся - обновление доложу, а нет - ну и нафиг.

vskirdin

2012-05-02 10:37

administrator   bugnote:0009085

потерялся - докладывай

Maximus

2012-05-02 10:44

reporter   bugnote:0009086

ok, вечером будет

Maximus

2012-05-03 11:12

reporter  

Eol.120502.diff (4,145 bytes)
Eol.120502.diff (4,145 bytes)

Maximus

2012-05-03 11:17

reporter  

DropModified.diff (740 bytes)
Index: editor.cpp
===================================================================
--- editor.cpp	(revision 7991)
+++ editor.cpp	(working copy)
@@ -6190,6 +6190,11 @@
 
 			return FALSE;
 		}
+		case ECTL_DROPMODIFEDFLAG:
+		{
+			Flags.Clear(FEDITOR_MODIFIED);
+			return TRUE;
+		}
 	}
 
 	return FALSE;
Index: plugin.hpp
===================================================================
--- plugin.hpp	(revision 7991)
+++ plugin.hpp	(working copy)
@@ -1499,6 +1499,7 @@
 	ECTL_UNDOREDO                   = 32,
 	ECTL_GETFILENAME                = 33,
 	ECTL_DELCOLOR                   = 34,
+	ECTL_DROPMODIFEDFLAG            = 35,
 #ifdef FAR_USE_INTERNALS
 	ECTL_SERVICEREGION,
 #endif // END FAR_USE_INTERNALS
DropModified.diff (740 bytes)

Maximus

2012-05-03 11:20

reporter   bugnote:0009097

Eol.120502.diff - сводный, вроде ничего не забыл )

DropModified.diff - нужен, чтобы после "прозрачного заворота" строк в редакторе не появлялся признак модифицирован (если его раньше не было).

DrKnS

2012-05-03 11:40

administrator   bugnote:0009099

Господа, в морг такие костыли.

Сворачивание строк надо делать только на уровне отрисовки редактора.

vskirdin

2012-05-03 12:08

administrator   bugnote:0009100

2 патча применять, да?
если да, то по последнему для ECTL_DROPMODIFEDFLAG давай патч под Писание.

vskirdin

2012-05-03 12:22

administrator   bugnote:0009101

> Господа, в морг такие костыли.
Это про DropModified.diff?

DrKnS

2012-05-03 14:01

administrator   bugnote:0009102

Да.

vskirdin

2012-05-03 15:23

administrator   bugnote:0009103

build 2658

Maximus

2012-05-03 17:46

reporter  

ansi.diff (645 bytes)
Index: PluginA.cpp
===================================================================
--- PluginA.cpp	(revision 7991)
+++ PluginA.cpp	(working copy)
@@ -4653,7 +4653,8 @@
 				newss.StringNumber=oldss->StringNumber;
 				UINT CodePage=GetEditorCodePageA();
 				newss.StringText=(oldss->StringText)?AnsiToUnicodeBin(oldss->StringText, oldss->StringLength,CodePage):nullptr;
-				newss.StringEOL=(oldss->StringEOL)?AnsiToUnicode(oldss->StringEOL,CodePage):nullptr;
+				newss.StringEOL=(oldss->StringEOL && *oldss->StringEOL)?AnsiToUnicode(oldss->StringEOL,CodePage):nullptr;
+
 				newss.StringLength=oldss->StringLength;
 			}
 
ansi.diff (645 bytes)

Maximus

2012-05-03 17:48

reporter   bugnote:0009104

про анси плагины забыл. чтобы они работали "как раньше".

vskirdin

2012-05-04 15:15

administrator   bugnote:0009107

build 2660

Maximus

2012-05-11 11:18

reporter   bugnote:0009141

ok

Issue History

Date Modified Username Field Change
2011-09-14 18:35 Maximus New Issue
2011-09-14 18:35 Maximus File Added: Eol.diff
2011-09-26 10:43 Maximus File Added: EOL.110925.diff
2011-09-26 10:44 Maximus Note Added: 0007740
2012-04-16 23:12 Maximus Note Added: 0008913
2012-05-02 10:37 vskirdin Note Added: 0009085
2012-05-02 10:44 Maximus Note Added: 0009086
2012-05-03 11:12 Maximus File Added: Eol.120502.diff
2012-05-03 11:17 Maximus File Added: DropModified.diff
2012-05-03 11:20 Maximus Note Added: 0009097
2012-05-03 11:40 DrKnS Note Added: 0009099
2012-05-03 12:08 vskirdin Note Added: 0009100
2012-05-03 12:22 vskirdin Note Added: 0009101
2012-05-03 14:01 DrKnS Note Added: 0009102
2012-05-03 15:23 vskirdin Note Added: 0009103
2012-05-03 15:23 vskirdin Assigned To => vskirdin
2012-05-03 15:23 vskirdin Status new => feedback
2012-05-03 17:46 Maximus File Added: ansi.diff
2012-05-03 17:48 Maximus Note Added: 0009104
2012-05-03 17:48 Maximus Status feedback => assigned
2012-05-04 15:15 vskirdin Note Added: 0009107
2012-05-04 15:15 vskirdin Status assigned => feedback
2012-05-11 11:18 Maximus Note Added: 0009141
2012-05-11 11:18 Maximus Status feedback => assigned
2012-05-11 11:18 Maximus Status assigned => resolved
2012-05-11 11:21 vskirdin Build => 2660
2012-05-11 11:21 vskirdin Status resolved => closed
2012-05-11 11:21 vskirdin Resolution open => fixed
2012-05-11 11:21 vskirdin Fixed in Version => 3.0
2012-11-04 03:39 shmuel Relationship added related to 0002183
2015-12-07 16:34 shmuel Relationship added related to 0003129